> For the complete documentation index, see [llms.txt](https://docs.flexikanban.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flexikanban.ai/components/actions-action-groups/types/callout-action.md).

# Callout Action

Callout Action allows to create HTTP requests like GET, POST, PUT, and DELETE.&#x20;

* Add an action with the Action Type = Callout (1).&#x20;

![](https://media.screensteps.com/image_assets/assets/007/223/282/medium/c367a62b-2d62-4870-a089-cae4aa8bbca5.png)

See more info about creating Actions in [Working with Actions](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641589?type=article\&site_id=24620) article.

* Select the request Method (2)
* Enter the endpoint URL (3)
* Specify another settings:
  * **Compressed** (4): allows to compress the data you send. If a response comes back in compressed format, it will be uncompressed and returned the uncompressed value.
  * **Send as Blob** (5): Sets the contents of the body for the request using a BLOB.
  * **Certificate Name** (6): allows to add certificate name.

![](https://media.screensteps.com/image_assets/assets/007/223/285/medium/d473c45c-875b-46a1-9c2c-d8ff7f8167ee.png)

* Add "**Headers"** (7) and populate name and value.
* Enter the request **Body** (8).
* Specify name of the variable that will contain action result in **"Variable Name"** field (9).
* Check **"Execute in background"** checkbox (10) to make action be executed in background. Also this shows following fields:
* **"Wait for result"** checkbox (11) - check it if you need to receive action execution result in order to work with it (e.g., when using action in action group or getting data from external resource).
* **"With gap"** (12) - specify time in minutes which system will wait before action execution

![](https://media.screensteps.com/image_assets/assets/007/223/288/medium/32d9b2db-b457-4f5a-9e65-df6924abed71.png)

You can use Static values, Merge Fields or Formulas to populate Certificate Name, Headers and Body.

See more info on Merge Fields and Formulas at [Working with Context objects](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641592?type=article\&site_id=24620) and [Working with Functions](https://flexikanban.screenstepslive.com/admin/v2/internal_links/1641591?type=article\&site_id=24620)

* Save action.

Now you can execute it from Forms and Kanbans.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flexikanban.ai/components/actions-action-groups/types/callout-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
